Bug 4180 - [UPDATE REQUEST] grub2-2.00-50
: [UPDATE REQUEST] grub2-2.00-50
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-30 19:29 MSD by Konstantin Vlasov
Modified: 2014-09-19 13:14 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-06-30 19:29:10 MSD
Various improvements in grub2:
1. Added EFI support for os-prober.
2. All Linux OS entries now use the latest available kernel, and Advanced subentries are sorted by kernel version (latest first).
3. Changed menu entry titles format:
  a) Unified format for main and secondary OS entries.
  b) General format is: "<OS_name> (on sdXY) - Linux <kernel_version>".
  c) Kernel version is displayed only in Advanced submenu entries.
  d) Partition suffix "(on sdXY)" is displayed in Advanced submenu entries, and also in the first-level menu entries with non-unique names.
4. Improved cutting of long titles:
  a) Fixed bug when title could go out of the menu item boundaries by 2 pixels.
  b) If cutting takes place, ellipsis is displayed at the end of the title text.
Comment 1 Konstantin Vlasov 2014-06-30 19:29:56 MSD
https://abf.rosalinux.ru/build_lists/1962560
https://abf.rosalinux.ru/build_lists/1962561

Advisory: Various improvements in boot menu and EFI support.
Comment 2 Vladimir Potapov 2014-07-07 11:34:41 MSD
grub2-2.00-50
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962560/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1962561/x86_64/main/release/
**************************** Advisory **************************
Various improvements in grub2
***************************** Changelog ************************
1. Added EFI support for os-prober.
2. All Linux OS entries now use the latest available kernel, and Advanced subentries are sorted by kernel version (latest first).
3. Changed menu entry titles format:
  a) Unified format for main and secondary OS entries.
  b) General format is: "<OS_name> (on sdXY) - Linux <kernel_version>".
  c) Kernel version is displayed only in Advanced submenu entries.
  d) Partition suffix "(on sdXY)" is displayed in Advanced submenu entries, and also in the first-level menu entries with non-unique names.
4. Improved cutting of long titles:
  a) Fixed bug when title could go out of the menu item boundaries by 2 pixels.
  b) If cutting takes place, ellipsis is displayed at the end of the title text.
*****************************************************************
QA Verified
Comment 3 Denis Silakov 2014-09-18 23:19:00 MSD
Hm, it seems that this update was never published and containers are dead now.

Konstantin - does it make sense to rebuild grub2 for rosa2012.1 and publish it? Or maybe some newer versions were published after that?
Comment 4 Konstantin Vlasov 2014-09-19 13:14:30 MSD
grub2-2.00-58 is already published both in 2012.1 and 2014.1 (Bug #4241), so this update request is obsolete.